E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GSsl::OpenSSL::Error Class Reference

An exception class for GSsl::OpenSSL classes. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::Error:

## Public Member Functions
| Error (const std::string &)
| Error (const std::string &, unsigned long)
| Error (const std::string &, unsigned long, const std::string &path)
virtual const char * | what () const g__noexcept override

## Static Public Member Functions
static void | clearErrors ()

## Detailed Description

An exception class for GSsl::OpenSSL classes.

Definition at line 120 of file gssl_openssl.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.cpp